# Company Struct Reference

Inheritance diagram for Company:

## Public Member Functions
| Company (uint16 name_1=0, bool is_ai=false)
## Static Public Member Functions
static FORCEINLINE bool | IsValidAiID (size_t index)
static FORCEINLINE bool | IsValidHumanID (size_t index)
static FORCEINLINE bool | IsHumanID (size_t index)
static void | PostDestructor (size_t index)
| Invalidating some stuff after removing item from the pool.
## Data Fields
uint32 | name_2
uint16 | name_1
char * | name
uint16 | president_name_1
uint32 | president_name_2
char * | president_name
CompanyManagerFace | face
Money | money
byte | money_fraction
Money | current_loan
byte | colour
Livery | livery [LS_END]
RailTypes | avail_railtypes
RoadTypes | avail_roadtypes
byte | block_preview
uint32 | cargo_types
| which cargo types were transported the last year
TileIndex | location_of_HQ
| northern tile of HQ; INVALID_TILE when there is none
TileIndex | last_build_coordinate
OwnerByte | share_owners [4]
Year | inaugurated_year
byte | num_valid_stat_ent
byte | quarters_of_bankruptcy
CompanyMask | bankrupt_asked
| which companies were asked about buying it?
int16 | bankrupt_timeout
Money | bankrupt_value
bool | is_ai
class AIInstance * | ai_instance
class AIInfo * | ai_info
Money | yearly_expenses [3][EXPENSES_END]
CompanyEconomyEntry | cur_economy
CompanyEconomyEntry | old_economy [MAX_HISTORY_MONTHS]
EngineRenewList | engine_renew_list
| Defined later.
CompanySettings | settings
| settings specific for each company
uint16 * | num_engines
| caches the number of engines of each type the company owns (no need to save this)

## Detailed Description

Definition at line 36 of file company_base.h.

## Member Function Documentation

void Company::PostDestructor | ( | size_t | index | ) | `[static]`

Invalidating some stuff after removing item from the pool.

Parameters:

  | index | index of deleted item

Reimplemented from Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::PoolItem<&_company_pool >.

Definition at line 76 of file company_cmd.cpp.

References InvalidateWindowData().

The documentation for this struct was generated from the following files:

- src/company_base.h
- src/company_cmd.cpp